## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate skim

Name:           rust-skim
Version:        0.10.4
Release:        %autorelease
Summary:        Fuzzy Finder in rust!

License:        MIT
URL:            https://crates.io/crates/skim
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump derive_builder dependency from 0.11 to 0.12
# * bump nix dependency from 0.25 to 0.26
Patch:          skim-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fuzzy Finder in rust!.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license shell/LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/sk
%{_bindir}/sk-tmux
%{_mandir}/man1/sk.1*
%{_mandir}/man1/sk-tmux.1*
%{_datadir}/skim/
%dir %{_datadir}/vim
%dir %{_datadir}/vim/vimfiles
%dir %{_datadir}/vim/vimfiles/plugin
%{_datadir}/vim/vimfiles/plugin/skim.vim
%dir %{_datadir}/nvim
%dir %{_datadir}/nvim/site
%dir %{_datadir}/nvim/site/plugin
%{_datadir}/nvim/site/plugin/skim.vim
%{bash_completions_dir}/sk.bash
%{zsh_completions_dir}/_sk

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/shell/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cli-devel %{_description}

This package contains library source intended for building other packages which
use the "cli" feature of the "%{crate}" crate.

%files       -n %{name}+cli-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# clean up interpreters
sed -i -e '/^#!\//, 1d' shell/completion.*
sed -i -e '1d;2i#!/bin/bash' bin/sk-tmux

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install tmux wrapper script
install -Dpm0755 -t %{buildroot}%{_bindir} \
  bin/sk-tmux
# install manpages
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  man/man1/*
# install data directory
install -d %{buildroot}%{_datadir}/skim
# install vim plugins
install -Dpm0644 -t %{buildroot}%{_datadir}/vim/vimfiles/plugin \
  plugin/skim.vim
install -Dpm0644 -t %{buildroot}%{_datadir}/nvim/site/plugin \
  plugin/skim.vim
# install shell completions
install -Dpm0644 shell/completion.bash %{buildroot}%{bash_completions_dir}/sk.bash
install -Dpm0644 shell/completion.zsh %{buildroot}%{zsh_completions_dir}/_sk
# install shell key bindings (not enabled)
install -Dpm0644 -t %{buildroot}%{_datadir}/skim/shell \
  shell/key-bindings.*

%if %{with check}
%check
# * integer overflow in test code on 32-bit architectures
#   https://github.com/lotabout/skim/issues/415
%cargo_test -- -- --skip test_atoi
%endif

%changelog
* Sun Oct 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.4-1
- Update to version 0.10.4; Fixes RHBZ#2138450

* Thu Aug 24 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9.4-15
- Rebuilt for vte 0.11

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun May 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-13
- Regenerate with rust2rpm v24 and update license tag

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-12
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.4-9
- Rebuild with package notes

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-8
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.4-6
- Bump shlex to 1

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-4
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-2
- Work around harmless test failure on 32-bit architectures.

* Mon Jun 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.4-1
- Update to version 0.9.4.
- Fixes RHBZ#1889197

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:32:45 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.2-5
- Rebuild

* Sun Aug 16 15:01:45 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.2-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 17:15:39 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Wed Apr 08 2020 Josh Stone <jistone@redhat.com> - 0.8.1-1
- Update to 0.8.1

* Sun Feb 23 17:27:21 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 24 2020 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Sun Dec 15 14:29:21 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.9-2
- Update derive_builder to 0.9

* Mon Sep 23 07:58:05 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.9-1
- Update to 0.6.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 24 21:43:07 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.8-1
- Update to 0.6.8

* Wed Jun 05 2019 Josh Stone <jistone@redhat.com> - 0.6.7-2
- Bump nix to 0.14

* Fri May 31 20:09:57 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.7-1
- Release 0.6.7

* Sun Apr 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.6-1
- Initial package

